Page MenuHomePhabricator

Web font libraries pulled into mobile beta, visibly changes the fonts
Closed, ResolvedPublic

Description

Visit https://en.m.wikipedia.org/wiki/Henry_Miller?mobileaction=beta
and you'll notice the heading visibly changes font.
This seems to only happen in beta and seems to be the unexpected side effect of pulling in ext.uls.webfonts.mobile (and jquery.webfonts)

I'm not sure why this is loading in beta but I'm concerned about this making it to the stable site, especially given the size of these modules. I can understand it being loaded conditionally in certain circumstances but just to support the Linux Libertine font seems a huge trade-off I'm not willing to encourage.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 5:20 PM
ori triaged this task as High priority.Sep 28 2015, 6:07 PM
ori edited projects, added Language-Team; removed Performance-Team.
ori set Security to None.
santhosh claimed this task.Sep 29 2015, 5:27 AM
santhosh added a project: LE-CX6-Sprint break.

Change 242060 had a related patch set uploaded (by Santhosh):
Set default value of ULSMobileWebfontsEnabled to false

https://gerrit.wikimedia.org/r/242060

Change 242060 merged by jenkins-bot:
Set default value of ULSMobileWebfontsEnabled to false

https://gerrit.wikimedia.org/r/242060

santhosh moved this task from In Review to QA on the LE-CX6-Sprint break board.Sep 29 2015, 9:44 AM
Arrbee added a subscriber: Arrbee.Sep 30 2015, 12:07 PM

Checked on en.m.wikipedia.beta.wmflabs for the same page. Fonts do not change like earlier.

Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Sep 30 2015, 12:07 PM
Jdlrobson closed this task as Resolved.Sep 30 2015, 4:09 PM

Thanks guys for the speedy fix!
Out of interest are there any plans to make wgULSMobileWebfontsEnabled and loaded by default? If so, under what circumstances?